"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const expo_1 = require("../expo");
const helpers_1 = require("../helpers");
/**
 * Read the manifest version from the `expo.ios.buildNumber` property.
 */
exports.readVersion = helpers_1.iosVersionReader;
/**
 * Write the manifest version to the `expo.ios.buildNumber` property.
 */
exports.writeVersion = (contents, version) => {
    const manifest = expo_1.parse(contents);
    manifest.expo.ios = manifest.expo.ios || {};
    manifest.expo.ios.buildNumber = version;
    return expo_1.serialize(manifest, contents);
};
